#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libxcvt
Version		:	0.1.1
Release		:	14.8.0.0%{?dist}
Summary		:	VESA CVT standard timing modelines generator
	
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://gitlab.freedesktop.org/xorg/lib/libxcvt
			#https://xorg.freedesktop.org/archive/individual/lib/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	meson
BuildRequires	:	ninja
#-----------------------------------------------------------------------------
%description
libxcvt is a library providing a standalone version of the X server
implementation of the VESA CVT standard timing modelines generator.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/libxcvt.so.0*

#============================================================================-
%package		devel

Summary		:	Development package

#-----------------------------------------------------------------------------
Requires	:	%{name}		=  %{version}-%{release}
Requires	:	pkg-config

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/libxcvt/*.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
	
#============================================================================-
%package		-n cvt

Summary		:	Command line tool to calculate VESA CVT mode lines

#-----------------------------------------------------------------------------
conflicts	:	server-Xorg < 1.21

#-----------------------------------------------------------------------------
%description		-n cvt
A standalone version of the command line tool cvt copied
from the Xorg implementation and is meant to be a direct
replacement to the version provided by the Xorg server.
	
#-----------------------------------------------------------------------------
%files			-n cvt
%defattr(-,root,root,-)
%{_bindir}/cvt
%{_mandir}/man1/cvt.1.gz
 
#============================================================================-
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build
meson							\
        --prefix=%{_prefix}				\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	_build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja 							\
	-C _build					\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	ninja						\
	-C _build					\
	install

find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
